# $Revision: 1.9 $, $Date: 2007-12-25 10:57:35 $
Summary:	An XMP support library
Summary(pl.UTF-8):	Biblioteka obsługująca XMP
Name:		exempi
Version:	1.99.5
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	aa22ca8a84e0f768775dc2b22501822e
BuildRequires:	boost-devel >= 1.33.1
BuildRequires:	expat-devel >= 1.95
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XMP parsing and IO library.

%description -l pl.UTF-8
Biblioteka do analizy oraz wejścia/wyjścia XMP.

%package devel
Summary:	Header files for exempi
Summary(pl.UTF-8):	Pliki nagłówkowe exempi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel >= 1.95
Requires:	libstdc++-devel

%description devel
Header files for exempi.

%description devel -l pl.UTF-8
Pliki nagłówkowe exempi.

%package static
Summary:	Static exempi library
Summary(pl.UTF-8):	Statyczna biblioteka exempi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static exempi library.

%description static -l pl.UTF-8
Statyczna biblioteka exempi.

%package samples
Summary:	Sample exempi programs
Summary(pl.UTF-8):	Przykładowe programy exempi
Group:		Applications/Archiving
# doesn't require base, statically linked with exempi code

%description samples
Sample programs using exempi library.

%description devel -l pl.UTF-8
Przykładowe programy używające biblioteki exempi.

%prep
%setup -q

%build
# configure fails on boost linking check
%configure \
	ax_cv_boost_unit_test_framework=no
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install samples/source/{dumpmainxmp,dumpxmp,xmpcoverage,xmpfilescoverage} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libexempi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexempi.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libexempi.so
%{_libdir}/libexempi.la
%{_includedir}/exempi-2.0
%{_pkgconfigdir}/exempi-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libexempi.a

%files samples
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: exempi.spec,v $
Revision 1.9  2007-12-25 10:57:35  qboosh
- killed BC boost-test-devel
- ghost soname symlink

Revision 1.8  2007-12-23 22:03:14  qboosh
- unified

Revision 1.7  2007-12-21 11:39:22  gotar
- upgraded to 1.99.5, added samples subpackage

Revision 1.6  2007-09-18 19:51:36  megabajt
- release 2

Revision 1.5  2007/09/01 23:50:54  qboosh
- devel deps, more docs

Revision 1.4  2007/09/01 23:31:35  qboosh
- pl

Revision 1.3  2007/08/30 23:24:12  aflinta
- build fails when boost-test-devel is installed

Revision 1.2  2007/08/29 05:56:40  patrys
- fix packaging

Revision 1.1  2007/08/29 05:54:44  patrys
- initial PLD release
